How to contrubute to SunPy
--------------------------

SunPy is an open project that enourages everyone to contribute in any way possible.
This document descibes how to contribute code and documentation to the main SunPy 
repository, if you wish to make a different contribution please contact the 
[mailing list](https://groups.google.com/forum/#!forum/sunpy).

## Basic Contribution Workflow

* Get a [GitHub Account](https://github.com/signup/free)
* [Fork](https://help.github.com/articles/fork-a-repo) SunPy
* Make your changes and push to your fork.
* Create a [Pull Request](https://help.github.com/articles/using-pull-requests).

For more detailed information on contributing code see our 
[Developers Guide](http://docs.sunpy.org/en/stable/dev.html).

## Pull Request Review

When you submit a pull request it can be reviewed and commented on by anyone.
For the code to be accepted into SunPy it must meet the following criteria:

* Conform to code quality standards, primarily [PEP8](http://legacy.python.org/dev/peps/pep-0008/).
* Have close to 100% unit test coverage.
* Have API documentation generated by astropy's automodapi extenstion where appropriate.
* Contain an entry in the CHANGELOG.md file.
* Be approved by at least two SunPy contributors.

## More Information

For more information on contributing to SunPy check out the following:

* Our [Developers Guide](http://docs.sunpy.org/en/stable/dev.html).
* The [Developers Mailing List](https://groups.google.com/forum/#!forum/sunpy-dev)
* The [Pull Request Review](https://github.com/sunpy/sunpy/wiki/Pull-Request-Review-Procedure) wiki page.
* Our IRC channel #SunPy on irc.freenode.net
